--- !ditz.rubyforge.org,2008-03-06/issue 
title: Consider whether invariants and thresholding should be part of rendering, or part of image logic
desc: ""
type: :task
component: libale
release: 
reporter: David Hilvert <dhilvert@auricle.dyndns.org>
status: :unstarted
disposition: 
creation_time: 2009-02-18 16:10:03.414617 Z
references: []

id: 7631a924622738a4fe08bd25581ee1e42029b684
log_events: 
- - 2009-02-18 16:10:04.111466 Z
  - David Hilvert <dhilvert@auricle.dyndns.org>
  - created
  - ""
- - 2009-02-19 14:02:03.318524 Z
  - David Hilvert <dhilvert@auricle.dyndns.org>
  - commented
  - |-
    Reviewing ALE code, there appears to be no obvious impediment in common use of
    image_weighted_median, image_weighted_simple, or image_weighted_avg to prevent
    invariant calculation code from being placed within renderer logic, leaving
    image logic absent such code.  Thresholding code seems likely to prove
    similarly unproblematic for inclusion within the renderer complex.
git_branch: 
